Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787308 - dev-lang/mercury-20.06 - md4.m: error: argument 2 of type unsigned char * declared as a pointer [-Werror=array-parameter=]
Summary: dev-lang/mercury-20.06 - md4.m: error: argument 2 of type unsigned char * dec...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Keri Harris
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-01 08:59 UTC by Toralf Förster
Modified: 2021-07-31 17:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.05 KB, text/plain)
2021-05-01 08:59 UTC, Toralf Förster
Details
dev-lang:mercury-20.06:20210501-034304.log (dev-lang:mercury-20.06:20210501-034304.log,162.62 KB, text/plain)
2021-05-01 08:59 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,156.76 KB, text/plain)
2021-05-01 08:59 UTC, Toralf Förster
Details
environment (environment,153.71 KB, text/plain)
2021-05-01 08:59 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,18.96 KB, application/x-bzip)
2021-05-01 08:59 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,25.34 KB, application/x-bzip)
2021-05-01 08:59 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,50.60 KB, application/x-bzip)
2021-05-01 08:59 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-01 08:59:33 UTC
../scripts/mgnuc --grade hlc.gc.pregen       --  -pipe -march=native -Og -g    -c libs.lp_rational.c -o libs.lp_rational.o
../scripts/mgnuc --grade hlc.gc.pregen       --  -pipe -march=native -Og -g    -c libs.md4.c -o libs.md4.o
md4.m:224:66: error: argument 2 of type ‘unsigned char *’ declared as a pointer [-Werror=array-parameter=]
  224 |     }
      |                                                                  ^  
md4.m:65:66: note: previously declared as an array ‘unsigned char[12]’
   65 | tic void mdfour_result(const struct mdfour *md, unsigned char out[12]);

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib_hardened-20210427-181545

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0
  [2]   rust-1.51.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sat May  1 03:20:09 UTC 2021

emerge -qpvO dev-lang/mercury
[ebuild  N    ] dev-lang/mercury-20.06  USE="readline trail -debug -doc -emacs -erlang -examples -java -mono -profile -threads"
Comment 1 Toralf Förster gentoo-dev 2021-05-01 08:59:34 UTC
Created attachment 704856 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-01 08:59:36 UTC
Created attachment 704859 [details]
dev-lang:mercury-20.06:20210501-034304.log
Comment 3 Toralf Förster gentoo-dev 2021-05-01 08:59:37 UTC
Created attachment 704862 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-05-01 08:59:39 UTC
Created attachment 704865 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-05-01 08:59:40 UTC
Created attachment 704868 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-05-01 08:59:41 UTC
Created attachment 704871 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-05-01 08:59:42 UTC
Created attachment 704874 [details]
temp.tar.bz2
Comment 8 Sam James archtester gentoo-dev Security 2021-07-29 02:20:42 UTC
ping
Comment 9 Larry the Git Cow gentoo-dev 2021-07-31 17:17:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b749221e184c37cb56edc74489e3e39aad35ba94

commit b749221e184c37cb56edc74489e3e39aad35ba94
Author:     Keri Harris <keri@gentoo.org>
AuthorDate: 2021-07-31 17:16:28 +0000
Commit:     Keri Harris <keri@gentoo.org>
CommitDate: 2021-07-31 17:16:58 +0000

    dev-lang/mercury: allow mercury to compile with GCC 11
    
    Closes: https://bugs.gentoo.org/787308
    Package-Manager: Portage-3.0.20, Repoman-3.0.2
    Signed-off-by: Keri Harris <keri@gentoo.org>

 dev-lang/mercury/Manifest                | 2 +-
 dev-lang/mercury/mercury-20.06-r1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)